package butt.wifisdaccess;

/**
 * Download Progress Listener for HTTP Downloads
 * 
 * @author Andreas Butti
 */
public interface DownloadProgressListener {

	/**
	 * Gets called periodically
	 * 
	 * @param current
	 *            Current downloaded bytes
	 * @param amount
	 *            Total amount of bytes
	 */
	public void progress(int current, int amount);

	/**
	 * Download finished
	 * 
	 * @param seconds
	 *            amount of seconds
	 * @param bytesPerSeconds
	 *            the average download speed
	 */
	public void finished(int seconds, int bytesPerSeconds);
}
