package butt.wifisdaccess;

/**
 * Listener interface for WiFiSd
 * 
 * @author Anderas Butti
 * 
 */
public interface WiFiSdListener {

	/**
	 * The Connection to the card was closed / lost
	 */
	public void connectionClosed();

	/**
	 * The connection was established
	 */
	public void connectionEstablished();

	/**
	 * A new image was created
	 * 
	 * @param path
	 *            The path of the image, to download them
	 */
	public void newImage(String path);

	/**
	 * An error occured in the networking thread
	 * 
	 * @param ex
	 *            The error
	 */
	public void errorOccured(Exception ex);

}
